#ifndef OFFIX_DND_H
#define OFFIX_DND_H

/****************************************************************

    Copyright (c) 1996-1997 Fred Pesch

    This program is free software; you can redistribute it 
    and/or modify it under the terms of the GNU General 
    Public License as published by the Free Software 
    Foundation (version 2 of the License).

    This program is distributed in the hope that it will 
    be useful, but WITHOUT ANY WARRANTY; without even the 
    implied warranty of MERCHANTABILITY or FITNESS FOR A 
    PARTICULAR PURPOSE.  See the GNU General Public License 
    for more details.

    For a copy of the GNU General Public License, write to the 
    Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
    MA 02139, USA.

****************************************************************/

#include <OffiX/DragAndDrop.h>
#include <Xm/Xm.h> 

typedef enum { COPY, MOVE, LINK } TDropType; 

typedef struct {
  char *Data;
  unsigned long Size;
  char *DestDir;
  TDropType DropType;  
  int HandlingDrop;
} TDropInfos;

extern TDropInfos DropInfos;

extern void DND_Initialize(Widget top_level);

extern void DND_FileIconInitialize(Widget w_icon, int isdir);

extern void DND_DirIconInitialize(Widget w_icon);

extern void DND_FileListInitialize(Widget w_list); 

extern void DND_FindListInitialize(Widget w_list); 

#endif
